﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.ComponentModel;
using Infragistics.Windows.DataPresenter;
using Infragistics.Windows.Editors;

namespace WpfApplication2
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            List<Variables> data1 = new List<Variables>();
            data1.Add(new Variables() { Variable = "Variable1" });
            data1.Add(new Variables() { Variable = "Variable2" });
            data1.Add(new Variables() { Variable = "Variable3" });
            xamDataGrid1.DataContext = new BindingList<Variables>(data1);

            List<Expressions> data2 = new List<Expressions>();
            data2.Add(new Expressions() { Expression = "Expression1" });
            data2.Add(new Expressions() { Expression = "Expression2" });
            data2.Add(new Expressions() { Expression = "Expression3" });
            xamDataGrid2.DataContext = new BindingList<Expressions>(data2);
        }

        private void xamDataGrid1_MouseDoubleClick(object sender, MouseButtonEventArgs e)
        {
            if (e.OriginalSource.ToString() == "System.Windows.Controls.TextBoxView")
            {
                xamDataGrid2.RecordManager.CurrentAddRecord.SetCellValue(xamDataGrid2.RecordManager.CurrentAddRecord.FieldLayout.Fields[0], xamDataGrid1.ActiveCell.Value);
                CellValuePresenter.FromCell(xamDataGrid2.RecordManager.CurrentAddRecord.Cells[0]).Editor.StartEditMode();
            }
        }
    }

    public class Variables : INotifyPropertyChanged
    {

        private String variable;

        public String Variable
        {
            get { return variable; }
            set { variable = value; NotifyPropertyChanged("Variable"); }
        }

        public event PropertyChangedEventHandler PropertyChanged;

        private void NotifyPropertyChanged(String info)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(info));
            }
        }
    }

    public class Expressions : INotifyPropertyChanged
    {

        private String expression;

        public String Expression
        {
            get { return expression; }
            set { expression = value; NotifyPropertyChanged("Expression"); }
        }

        public event PropertyChangedEventHandler PropertyChanged;

        private void NotifyPropertyChanged(String info)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(info));
            }
        }
    }
}
